<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aes__cmac__generate__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aes_cmac_generate_param_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aes__cmac__generate__param__t_1ade9956e8d60f5e0346c8b16aa9404947" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_aes_cmac_generate_param_t::buffer</definition>
        <argsstring />
        <name>buffer</name>
        <briefdescription>
<para>pointer to message for which AES CMAC must be calculated, LSB should be first </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1647" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1647" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__cmac__generate__param__t_1a0bc5383ab87f2327900e9dab1e868ae3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_aes_cmac_generate_param_t::size</definition>
        <argsstring />
        <name>size</name>
        <briefdescription>
<para>size of the message buffer </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1649" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1649" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__cmac__generate__param__t_1adc9d0c2ca4934f2f46a29b0a4dfe2c37" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_aes_cmac_generate_param_t::key</definition>
        <argsstring />
        <name>key</name>
        <briefdescription>
<para>AES CMAC 128-bit Key, LSB should be first. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1651" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1651" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aes__cmac__generate__param__t_1a77e80a7f9c68d5f7a3823e3fca8ae0b4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_aes_cmac_generate_param_t::mac</definition>
        <argsstring />
        <name>mac</name>
        <briefdescription>
<para>output-parameter, Buffer to hold generated MAC of 16 bytes. </para>        </briefdescription>
        <detaileddescription>
<para>Output is LSB first </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1653" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1653" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure containing the parameters required for AES CMAC Generation. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1655" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1643" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1644" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aes__cmac__generate__param__t_1ade9956e8d60f5e0346c8b16aa9404947" virt="non-virtual"><scope>cy_stc_ble_aes_cmac_generate_param_t</scope><name>buffer</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__cmac__generate__param__t_1adc9d0c2ca4934f2f46a29b0a4dfe2c37" virt="non-virtual"><scope>cy_stc_ble_aes_cmac_generate_param_t</scope><name>key</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__cmac__generate__param__t_1a77e80a7f9c68d5f7a3823e3fca8ae0b4" virt="non-virtual"><scope>cy_stc_ble_aes_cmac_generate_param_t</scope><name>mac</name></member>
      <member prot="public" refid="structcy__stc__ble__aes__cmac__generate__param__t_1a0bc5383ab87f2327900e9dab1e868ae3" virt="non-virtual"><scope>cy_stc_ble_aes_cmac_generate_param_t</scope><name>size</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>